<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--  (c) 2007 Varsity Gateway LLC.  All rights reserved. -->
<plugin id="com.metamatrix.modeler.modelgenerator.wsdl" name="%pluginName" version="5.5.4" provider-name="%providerName" class="com.metamatrix.modeler.modelgenerator.wsdl.ModelGeneratorWsdlPlugin">
   <runtime>
      <library name="modelGeneratorWsdl_PATCH.jar">
         <export name="*">
         </export>
      </library>
<library name="modelGeneratorWsdl.jar">
         <export name="*">
         </export>
      </library>
      <library name="commons-codec-1.2_PATCH.jar">
         <export name="*">
         </export>
      </library>
<library name="commons-codec-1.2.jar">
         <export name="*">
         </export>
      </library>
      <library name="qname_PATCH.jar">
         <export name="*"/>
      </library>
<library name="qname.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.jdom"/>
      <import plugin="org.apache.xerces"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="com.metamatrix.metamodels.core"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.schema.tools"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.modeler.dqp"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
      <import plugin="org.wsdl4j"/>
      <import plugin="org.eclipse.wst.wsdl"/>
      <import plugin="org.jaxen"/>
      <import plugin="com.metamatrix.modeler.modelgenerator.xml"/>
   </requires>
   
   <extension id="com.metamatrix.modeler.modelgenerator.wsdl.modelextension.SOAPExtensionReplaceAction" name="%extensionReplaceAction.name" point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction label="%extensionReplaceAction.label" name="com.metamatrix.modeler.modelgenerator.wsdl.modelextension.SOAPExtensionReplaceAction">
      </resourceAction>
   </extension>

</plugin>
